=== modified file 'charmworld/routes.py'
--- charmworld/routes.py	2013-11-04 20:52:52 +0000
+++ charmworld/routes.py	2013-11-08 19:26:56 +0000
@@ -71,8 +71,6 @@
     # Tools
     config.add_route("tools", "/tools")
     config.add_route("tools-review", "/tools/review-queue")
-    config.add_route("tools-store-missing", "/tools/store-missing")
-    config.add_route("tools-proof-errors", "/tools/proof-errors")
 
     # Experiment
     config.add_route("charm-graph", "/charm-graph")

=== removed file 'charmworld/templates/charm-proof-errors.pt'
--- charmworld/templates/charm-proof-errors.pt	2013-09-03 14:15:49 +0000
+++ charmworld/templates/charm-proof-errors.pt	1970-01-01 00:00:00 +0000
@@ -1,27 +0,0 @@
-<html tal:define="main load: main.pt" metal:use-macro="main.macros['page']">
-  <body>
-
-<metal:block metal:fill-slot="content">
-  <div class="row no-border">
-    <h1>Charm Errors</h1>
-    <p class="note">${len(charms)} errors</p>
-    <table>
-      <thead>
-        <tr>
-          <th>Charm</th>
-          <th>Errors</th>
-        </tr>
-      </thead>
-      <tr tal:repeat="charm charms">
-        <td><a href="${charm.short_url}">${charm.store_url}</a></td>
-        <td>
-          <ul>
-           <li tal:repeat="msg format_proof(charm)" tal:content="msg"></li>
-          </ul>
-        </td>
-      </tr>
-    </table>
-  </div>
-</metal:block>
-</body>
-</html>

=== removed file 'charmworld/templates/store-missing.pt'
--- charmworld/templates/store-missing.pt	2013-09-03 14:15:49 +0000
+++ charmworld/templates/store-missing.pt	1970-01-01 00:00:00 +0000
@@ -1,27 +0,0 @@
-<html tal:define="main load: main.pt" metal:use-macro="main.macros['page']">
-  <body>
-
-<metal:block metal:fill-slot="content">
-  <div class="row no-border">
-    <h1>Charm Store MIA</h1>
-    <p class="note">${len(queue)} missing</p>
-    <table>
-      <thead>
-        <tr>
-          <th>Checked</th>
-          <th>Branch Name</th>
-          <th>Store Address</th>
-          <th>Error</th>
-        </tr>
-      </thead>
-      <tr tal:repeat="charm queue">
-        <td tal:content="age_format(charm.store_data['store_checked'])"></td>
-        <td><a href="${charm.short_url}" tal:content="charm.branch_spec"></a></td>
-        <td tal:content="charm.address"></td>
-        <td tal:content="charm.store_data['errors'][0]"></td>
-      </tr>
-    </table>
-  </div>
-</metal:block>
-</body>
-</html>

=== modified file 'charmworld/templates/tools.pt'
--- charmworld/templates/tools.pt	2013-09-17 14:38:22 +0000
+++ charmworld/templates/tools.pt	2013-11-08 19:26:56 +0000
@@ -5,8 +5,6 @@
         <h1>Charm Tools</h1>
         <p>Tools to manage and review charms.</p>
         <p><a href="/tools/review-queue">Charm reviews &rsaquo;</a></p>
-        <p><a href="/tools/store-missing">Missing charms &rsaquo;</a></p>
-        <p><a href="/tools/proof-errors">Charm errors &rsaquo;</a></p>
       </div>
     </metal:block>
   </body>

=== modified file 'charmworld/views/tests/test_tools.py'
--- charmworld/views/tests/test_tools.py	2013-11-08 14:32:04 +0000
+++ charmworld/views/tests/test_tools.py	2013-11-08 19:26:56 +0000
@@ -13,7 +13,6 @@
 )
 from charmworld.views.tools import (
     charm_review,
-    charm_store_missing,
     format_items_for_queue,
     get_missing_qa_items,
     get_sparklines,
@@ -164,19 +163,3 @@
             entry['item'], 'http://code.launchpad.net/%s' % charm.branch_spec)
         self.assertEqual(
             entry['summary'], 'Store error on %s' % charm.name)
-
-
-class CharmStoreMissingTestCase(ViewTestBase):
-
-    def test_charms_with_store_errors(self):
-        ignore, charm_1 = factory.makeCharm(self.db, charm_error=True)
-        factory.makeCharm(self.db, charm_error=False)
-        response = charm_store_missing(self.getRequest())
-        charm = Charm(charm_1)
-        self.assertEqual([charm], response['queue'])
-
-    def test_obsolete_charms_ignored(self):
-        ignore, charm_1 = factory.makeCharm(self.db, charm_error=True,
-                                            series='oneiric')
-        response = charm_store_missing(self.getRequest())
-        self.assertEqual([], response['queue'])

=== modified file 'charmworld/views/tools.py'
--- charmworld/views/tools.py	2013-11-07 15:09:29 +0000
+++ charmworld/views/tools.py	2013-11-08 19:26:56 +0000
@@ -143,30 +143,3 @@
         'mean': mean_latency,
         'min': min_latency,
         'sparklines': sparklines}
-
-
-# TODO After the store errors in review queue are approved as the way to deal
-# with reviewing charm store errors, this view can go away.
-@view_config(
-    route_name="tools-store-missing",
-    http_cache=REPORT_CACHE,
-    renderer="charmworld:templates/store-missing.pt")
-def charm_store_missing(request):
-    queue = list(CharmSource.from_request(request).find_mia_charms())
-    return {'queue': queue, 'age_format': utils.pretty_timedelta}
-
-
-# TODO After the proofs in review queue are approved as the way to deal with
-# reviewing charm proof errors, this view can go away.
-@view_config(
-    route_name="tools-proof-errors",
-    http_cache=REPORT_CACHE,
-    renderer="charmworld:templates/charm-proof-errors.pt")
-def proof_errors(request):
-    source = CharmSource.from_request(request)
-    charms = list(source.find_proof_error_charms())
-
-    return {
-        'charms': charms,
-        'format_proof': format_proof,
-    }

